/* RECTORALBLOG */
ul.rectoralblog_items {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
    list-style: none;
    padding: 0;
    margin: 0;
}

a.rectoralblog_item_link {
    position: relative;
    display: block;
    background-size: cover;
    background-position: center top;
    padding-top: 200px;
    background-image: url(https://firebasestorage.googleapis.com/v0/b/standarrector/o/complementary%2Fktdra%2Fbackground-article.png?alt=media&token=4868e33e-8b4e-4ba4-be0d-b6fd1f0cd2aa);
    background-repeat: no-repeat;
    border: 1px solid #e0e0e0;
    overflow: hidden;
    border-radius: 6px;
    color: var(--cor-azul-primario) !important;
}

a.rectoralblog_item_link:before {
    background: hsla(0, 0%, 98.8%, .7);
    position: absolute;
    content: "";
    z-index: 2;
    width: 100%;
    height: 200px;
    top: 0;
    left: 0;
    visibility: visible;
    opacity: 1;
    transition: all .18s ease-in-out .18s;
}

.item-container {
    display: flex;
    flex-direction: column;
    width: 100%;
    padding: 16px 24px;
    background-color: #fff;
}

a.rectoralblog_item_link h3 {
    order: 20;
    line-height: 20px !important;
    height: 40px;
    color: var(--cor-azul-primario);
    font-size: 14px !important;

    margin: 0;
    padding-bottom: 0;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

a.rectoralblog_item_link .rectoralblog_item_category {
    order: 10;

    position: absolute;
    top: 170px;
    right: 0;
    z-index: 6;
    display: block;
    width: auto;
    margin-left: auto;
    padding: 4px 12px;
    background-color: var(--cor-azul-primario);
    border-top-left-radius: 6px;

    color: white;
    padding: 4px 12px;
    font-size: 14px;
    text-transform: capitalize;
    line-height: 20px;
    height: 30px;
}

a.rectoralblog_item_link .rectoralblog_item_meta {
    order: 30;
    display: flex;
    flex-direction: column;
}

.rectoralblog_item_meta .blog_publisher_year {
    order: 1;
    font-size: 11px;
}

.rectoralblog_item_meta .blog_autor_item {
    order: 2;
    display: grid;
    grid-template: "imagem nome" 20px
        "imagem flag" 20px / 48px auto;
    grid-template-columns: 48px 1fr;
    gap: 8px;
    align-items: start;
    margin: 0;
    margin-top: 16px;

    .autor_name {
        grid-area: nome;
        font-size: 14px;
        line-height: 20px;
        font-weight: bold;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

    .autor_flag {
        grid-area: flag;
    }

    .autor_image {
        grid-area: imagem;
        border-radius: 50%;
        object-fit: cover;
        display: block;
        width: 48px;
        height: 48px;
    }

    .autor_image.image-error {
        background-color: #ccc;
        border-radius: 50%;
    }

    .autor_image.image-error {
        content: '';
        font-size: 0;
    }
}

.rectoralblog-autor-item {
    display: grid;
    grid-template-columns: auto 1fr auto;
    gap: 20px;
    align-items: start;
}

.rectoralblog-autor-item-foto img {
    display: block;
    border-radius: 50%;
    width: 56px;
    height: 56px;
    object-fit: cover;
    background-color: #ccc;
}

.rectoralblog-autor-item-foto.image-error {
    background-color: #ccc;
    border-radius: 50%;
}

.rectoralblog-autor-item-foto.image-error {
    content: '';
    font-size: 0;
}

.rectoralblog-autor-item-social ul {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    gap: 10px;
}

.rectoralblog-autor-item-social-item a {
    display: inline-block;
}

.rectoralblog-colaborador-list {
    list-style: none;
    padding: 0;
    margin: 0;
    display: inline;
}

.rectoralblog-colaborador-list li {
    display: inline;
}

.rectoralblog-colaborador-list li:not(:last-child)::after {
    content: ", ";
}

.rectoralblog-keywords-list {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
}

.rectoralblog-keywords-list li {
    display: inline-block;
    font-size: 14px;

    background: #1b4484;
    color: #fff;
    border-radius: 4px;
    margin-right: 8px;
    margin-bottom: 8px;
    padding: 4px 8px;
    padding-bottom: 2px;
}

.rectoralblog-original-item {
    display: grid;
    grid-template-columns: auto 1fr auto;
    grid-template-rows: 56px;
    gap: 20px;
    align-items: start;
}

.rectoralblog-original-item-foto img {
    border-radius: 50%;
    width: 56px;
    height: 56px;
    object-fit: cover;
}

.rectoralblog-original-item-info {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.rectoralblog-original-item-info p {
    padding-bottom: 0;
    font-size: 14px;
    line-height: 20px;
}

.rectoralblog-original-item-link {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.rectoralblog-original-item-link a {
    display: inline-block;
    padding: 4px 8px;
    color: white !important;
    background-color: #007bff;
    border-radius: 4px;
    text-decoration: none;
}

.rectoralblog-original-item-link a:hover {
    background-color: #0056b3;
}

.rectoralblog-autor,
.rectoralblog-original,
.rectoralblog-colaboradores,
.rectoralblog-keywords {
    margin-top: 40px;
}

.rectoralblog-meta h3,
.rectoralblog-meta h4 {
    font-size: 16px;
    line-height: 22px;
    color: var(--cor-azul-primario)
}

.rectoralblog-meta ul {
    margin: 0;
    padding: 0;
}

.rectoralblog-meta {
    margin-top: 40px;
}

@media (max-width: 500px) {
    ul.rectoralblog_items {
        grid-template-columns: 1fr;
        padding-left: 25px !important;
        padding-right: 25px !important;
    }
}

